NX Open C++ Reference Guide
|
Represents the Geometric Properties class. More...
Classes | |
struct | CaeCurve |
CAE Edge/Curve Geometric Properties. More... | |
struct | CaeFace |
CAE Face Geometric Properties. More... | |
struct | Edge |
Edge/Curve Geometric Properties. More... | |
struct | Face |
Face Geometric Properties. More... | |
Public Types | |
enum | Entity { EntityFace, EntityEdge, EntityCaeFace, EntityCaeCurve } |
Type of input entity for geometric properties. More... | |
enum | OutputType { OutputTypeDynamic, OutputTypeStatic } |
Represents how to output geometric properties. More... | |
enum | Status { StatusSuccess, StatusInvalidInput, StatusFailed } |
Status of computing geometric properties. More... | |
Public Member Functions | |
NXOpen::GeometricAnalysis::GeometricProperties::Status | GetCaeCurveProperties (NXOpen::NXObject *entityTag, const NXOpen::Point3d &absPoint, NXOpen::GeometricAnalysis::GeometricProperties::CaeCurve *caeCurve) |
Returns CAE curve local properties at the given point. | |
NXOpen::GeometricAnalysis::GeometricProperties::Status | GetCaeFaceProperties (NXOpen::NXObject *entityTag, const NXOpen::Point3d &absPoint, NXOpen::GeometricAnalysis::GeometricProperties::CaeFace *caeFace) |
Returns CAE face local properties at the given point. | |
NXOpen::GeometricAnalysis::GeometricProperties::Status | GetEdgeProperties (NXOpen::NXObject *entityTag, const NXOpen::Point3d &absPoint, NXOpen::GeometricAnalysis::GeometricProperties::Edge *edge) |
Returns edge/curve local properties at the given point. | |
NXOpen::GeometricAnalysis::GeometricProperties::Status | GetFaceProperties (NXOpen::NXObject *entityTag, const NXOpen::Point3d &absPoint, NXOpen::GeometricAnalysis::GeometricProperties::Face *face) |
Returns face local properties at the given point. | |
NXOpen::GeometricAnalysis::GeometricProperties::Status | ListProperties (NXOpen::NXObject *entityTag, const NXOpen::Point3d &absPoint) |
Displays the local properties of the specified object at the given point in the listing window. | |
NXOpen::GeometricAnalysis::GeometricProperties::Status | ListProperties (const NXOpen::Point3d &absPoint) |
Displays the local properties of ObjectsForAnalysis at the given point in the listing window. | |
NXOpen::SelectObjectList * | ObjectsForAnalysis () |
Returns the Objects for analysis Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::GeometricProperties::OutputType | OutputMethod () |
Returns the output method Created in NX5.0.0. | |
void | Reset () |
Clears all markers showing the local geometric properties in the graphics window Created in NX5.0.0. | |
void | SetOutputMethod (NXOpen::GeometricAnalysis::GeometricProperties::OutputType outputMethod) |
Sets the output method Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the Geometric Properties class.
This class can be used to find local geometric properties of faces, edges, curves, CAE faces, and CAE edges/curves at a given point.
To create a new instance of this class, use GeometricAnalysis::AnalysisManager::CreateGeometricPropertiesObject
Created in NX5.0.0.
Represents how to output geometric properties.
GeometricAnalysis::GeometricProperties::OutputTypeDynamic displays the properties of an entity under the cursor when NX is run interactively.
NXOpen::GeometricAnalysis::GeometricProperties::Status NXOpen::GeometricAnalysis::GeometricProperties::GetCaeCurveProperties | ( | NXOpen::NXObject * | entityTag, |
const NXOpen::Point3d & | absPoint, | ||
NXOpen::GeometricAnalysis::GeometricProperties::CaeCurve * | caeCurve | ||
) |
Returns CAE curve local properties at the given point.
NXOpen::GeometricAnalysis::GeometricProperties::Status NXOpen::GeometricAnalysis::GeometricProperties::GetCaeFaceProperties | ( | NXOpen::NXObject * | entityTag, |
const NXOpen::Point3d & | absPoint, | ||
NXOpen::GeometricAnalysis::GeometricProperties::CaeFace * | caeFace | ||
) |
NXOpen::GeometricAnalysis::GeometricProperties::Status NXOpen::GeometricAnalysis::GeometricProperties::GetEdgeProperties | ( | NXOpen::NXObject * | entityTag, |
const NXOpen::Point3d & | absPoint, | ||
NXOpen::GeometricAnalysis::GeometricProperties::Edge * | edge | ||
) |
Returns edge/curve local properties at the given point.
entityTag | NXObject to obtain the properties for |
absPoint | Absolute point co-ordinates of the reference point to compute the properties |
edge | Edge/Curve Properties |
NXOpen::GeometricAnalysis::GeometricProperties::Status NXOpen::GeometricAnalysis::GeometricProperties::GetFaceProperties | ( | NXOpen::NXObject * | entityTag, |
const NXOpen::Point3d & | absPoint, | ||
NXOpen::GeometricAnalysis::GeometricProperties::Face * | face | ||
) |
NXOpen::GeometricAnalysis::GeometricProperties::Status NXOpen::GeometricAnalysis::GeometricProperties::ListProperties | ( | NXOpen::NXObject * | entityTag, |
const NXOpen::Point3d & | absPoint | ||
) |
Displays the local properties of the specified object at the given point in the listing window.
entityTag | NXObject to obtain the properties for |
absPoint | Absolute point co-ordinates of the reference point to compute the properties |
NXOpen::GeometricAnalysis::GeometricProperties::Status NXOpen::GeometricAnalysis::GeometricProperties::ListProperties | ( | const NXOpen::Point3d & | absPoint | ) |
Displays the local properties of ObjectsForAnalysis at the given point in the listing window.
absPoint | Absolute point co-ordinates of the reference point to compute the properties |
NXOpen::SelectObjectList* NXOpen::GeometricAnalysis::GeometricProperties::ObjectsForAnalysis | ( | ) |
Returns the Objects for analysis
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricAnalysis::GeometricProperties::OutputType NXOpen::GeometricAnalysis::GeometricProperties::OutputMethod | ( | ) |
Returns the output method
Created in NX5.0.0.
License requirements : None
void NXOpen::GeometricAnalysis::GeometricProperties::Reset | ( | ) |
Clears all markers showing the local geometric properties in the graphics window
Created in NX5.0.0.
License requirements : None
void NXOpen::GeometricAnalysis::GeometricProperties::SetOutputMethod | ( | NXOpen::GeometricAnalysis::GeometricProperties::OutputType | outputMethod | ) |
Sets the output method
Created in NX5.0.0.
License requirements : None
outputMethod | output method |